Subject: bug#78152: [guix-daemon] Build user's pw_dir != HOME

From: Tomas Volf <[email-masked]>
Date: Thu, 01 May 2025 13:49:09 +0200

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> There is a discrepancy in our build environment, where the build user's
> directory is set to '/' while HOME is set to '/homeless-shelter'.
> Normally both should match, and it trips some test suite that assumes
> this to be the case, as with libssh's [0].
>
> Perhaps '/homeless-shelter' could be made to more simply be '/', or
> pw_dir could be made to be '/homeless-shelter'.
>
> What do you think?

I would prefer the latter.  I know this is just the build container, but
it still would likely be preferable not to litter / with garbage.  IMO.

>
> [0]  https://gitlab.com/libssh/libssh-mirror/-/issues/302#note_2475036715

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.